igeo

## Class IDataAgent<T extends IArithmeticVal<T,S>,S>

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.IPointAgent
      - - igeo.IDataAgent<T,S>

- All Implemented Interfaces:
    IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, ISubobject, ITransformable, IVal, IVecI, IVecOp
  Direct Known Subclasses:
    ILinkedDataAgent

      public class IDataAgent<T extends IArithmeticVal<T,S>,S>
      extends IPointAgent

  Agent class with a generic data
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `T` | `data`

    - ### Fields inherited from class igeo.IPointAgent

      `point, pos, tracker`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDataAgent()`
    `IDataAgent(IVecI pos)`
    `IDataAgent(IVecI pos, T val)`
    `IDataAgent(T val)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDataAgent` | `addData(T v)`
    `IDataAgent` | `clr(double dgray)`
    `IDataAgent` | `clr(double dgray, double dalpha)`
    `IDataAgent` | `clr(double dr, double dg, double db)`
    `IDataAgent` | `clr(double dr, double dg, double db, double da)`
    `IDataAgent` | `clr(float fgray)`
    `IDataAgent` | `clr(float fgray, float falpha)`
    `IDataAgent` | `clr(float fr, float fg, float fb)`
    `IDataAgent` | `clr(float fr, float fg, float fb, float fa)`
    `IDataAgent` | `clr(IColor c)` to set an object color
    `IDataAgent` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `IDataAgent` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `IDataAgent` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `IDataAgent` | `clr(int gray)`
    `IDataAgent` | `clr(int gray, int alpha)`
    `IDataAgent` | `clr(int r, int g, int b)`
    `IDataAgent` | `clr(int r, int g, int b, int a)`
    `IDataAgent` | `clr(IObject o)` to set the same color with the object
    `T` | `getData()`
    `IDataAgent` | `hide()`
    `IDataAgent` | `hsb(double h, double s, double b)`
    `IDataAgent` | `hsb(double h, double s, double b, double a)`
    `IDataAgent` | `hsb(float h, float s, float b)`
    `IDataAgent` | `hsb(float h, float s, float b, float a)`
    `IDataAgent` | `layer(ILayer l)` Set layer by ILayer object
    `IDataAgent` | `name(java.lang.String nm)` methods of IObject
    `IDataAgent` | `setColor(double dgray)`
    `IDataAgent` | `setColor(double dgray, double dalpha)`
    `IDataAgent` | `setColor(double dr, double dg, double db)`
    `IDataAgent` | `setColor(double dr, double dg, double db, double da)`
    `IDataAgent` | `setColor(float fgray)`
    `IDataAgent` | `setColor(float fgray, float falpha)`
    `IDataAgent` | `setColor(float fr, float fg, float fb)`
    `IDataAgent` | `setColor(float fr, float fg, float fb, float fa)`
    `IDataAgent` | `setColor(IColor c)`
    `IDataAgent` | `setColor(IColor c, double alpha)`
    `IDataAgent` | `setColor(IColor c, float alpha)`
    `IDataAgent` | `setColor(IColor c, int alpha)`
    `IDataAgent` | `setColor(int gray)`
    `IDataAgent` | `setColor(int gray, int alpha)`
    `IDataAgent` | `setColor(int r, int g, int b)`
    `IDataAgent` | `setColor(int r, int g, int b, int a)`
    `IDataAgent` | `setData(T v)`
    `IDataAgent` | `setHSBColor(double h, double s, double b)`
    `IDataAgent` | `setHSBColor(double h, double s, double b, double a)`
    `IDataAgent` | `setHSBColor(float h, float s, float b)`
    `IDataAgent` | `setHSBColor(float h, float s, float b, float a)`
    `IDataAgent` | `show()`
    `IDataAgent` | `weight(double w)`
    `IDataAgent` | `weight(float w)`

    - ### Methods inherited from class igeo.IPointAgent

      `add, add, add, add, add, add, add, angle, angle, angle, angle, angle, angle, angle, angle, attach, attach, bisect, bisect, brep, brep, brepNum, breps, cp, cp, cp, cp, cross, cross, curve, curve, curveNum, curves, del, del, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, div, div, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, flip, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, hideGeometry, hidePoint, isValid, len, len, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, mirror, mirror, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, nml, point, point, pointNum, points, pos, pos, position, position, ref, ref, ref, ref, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, setSize, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, showGeometry, showPoint, size, size, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, transform, transform, transform, transform, translate, translate, translate, unit, x, x, x, x, x, x, x, y, y, y, y, y, y, y, z, z, z, z, z, z, zero`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          public T extends IArithmeticVal<T,S> data

  - ### Constructor Detail

    - #### IDataAgent

          public IDataAgent()

    - #### IDataAgent

          public IDataAgent(T val)

    - #### IDataAgent

          public IDataAgent(IVecI pos)

    - #### IDataAgent

          public IDataAgent(IVecI pos,
                    T val)

  - ### Method Detail

    - #### getData

          public T getData()

    - #### setData

          public IDataAgent setData(T v)

    - #### addData

          public IDataAgent addData(T v)

    - #### name

          public IDataAgent name(java.lang.String nm)

      methods of IObject
      Overrides:
        `name` in class `IPointAgent`

    - #### layer

          public IDataAgent layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IPointAgent`

    - #### hide

          public IDataAgent hide()

      Overrides:
        `hide` in class `IPointAgent`

    - #### show

          public IDataAgent show()

      Overrides:
        `show` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(IColor c,
                       int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(IColor c,
                       float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(IColor c,
                       double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(int gray)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(float fgray)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(double dgray)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(int gray,
                       int alpha)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(float fgray,
                       float falpha)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(double dgray,
                       double dalpha)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(int r,
                       int g,
                       int b)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(float fr,
                       float fg,
                       float fb)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(double dr,
                       double dg,
                       double db)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(int r,
                       int g,
                       int b,
                       int a)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(float fr,
                       float fg,
                       float fb,
                       float fa)

      Overrides:
        `clr` in class `IPointAgent`

    - #### clr

          public IDataAgent clr(double dr,
                       double dg,
                       double db,
                       double da)

      Overrides:
        `clr` in class `IPointAgent`

    - #### hsb

          public IDataAgent hsb(float h,
                       float s,
                       float b,
                       float a)

      Overrides:
        `hsb` in class `IPointAgent`

    - #### hsb

          public IDataAgent hsb(double h,
                       double s,
                       double b,
                       double a)

      Overrides:
        `hsb` in class `IPointAgent`

    - #### hsb

          public IDataAgent hsb(float h,
                       float s,
                       float b)

      Overrides:
        `hsb` in class `IPointAgent`

    - #### hsb

          public IDataAgent hsb(double h,
                       double s,
                       double b)

      Overrides:
        `hsb` in class `IPointAgent`

    - #### weight

          public IDataAgent weight(float w)

      Overrides:
        `weight` in class `IPointAgent`

    - #### weight

          public IDataAgent weight(double w)

      Overrides:
        `weight` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(IColor c)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(IColor c,
                            int alpha)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(IColor c,
                            float alpha)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(IColor c,
                            double alpha)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(int gray)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(float fgray)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(double dgray)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(int gray,
                            int alpha)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(float fgray,
                            float falpha)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(double dgray,
                            double dalpha)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(int r,
                            int g,
                            int b)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(float fr,
                            float fg,
                            float fb)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(double dr,
                            double dg,
                            double db)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(int r,
                            int g,
                            int b,
                            int a)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(float fr,
                            float fg,
                            float fb,
                            float fa)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setColor

          public IDataAgent setColor(double dr,
                            double dg,
                            double db,
                            double da)

      Overrides:
        `setColor` in class `IPointAgent`

    - #### setHSBColor

          public IDataAgent setHSBColor(float h,
                               float s,
                               float b,
                               float a)

      Overrides:
        `setHSBColor` in class `IPointAgent`

    - #### setHSBColor

          public IDataAgent setHSBColor(double h,
                               double s,
                               double b,
                               double a)

      Overrides:
        `setHSBColor` in class `IPointAgent`

    - #### setHSBColor

          public IDataAgent setHSBColor(float h,
                               float s,
                               float b)

      Overrides:
        `setHSBColor` in class `IPointAgent`

    - #### setHSBColor

          public IDataAgent setHSBColor(double h,
                               double s,
                               double b)

      Overrides:
        `setHSBColor` in class `IPointAgent`